Irrlicht Engine: irr::scene::CVertexBuffer Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::CVertexBuffer Class Reference

`#include <CVertexBuffer.h>`

Inheritance diagram for irr::scene::CVertexBuffer:

List of all members.

## Classes
class | CSpecificVertexList
class | IVertexList
## Public Member Functions
virtual u32 | allocated_size () const
| CVertexBuffer (const IVertexBuffer &VertexBufferCopy)
| CVertexBuffer (video::E_VERTEX_TYPE vertexType)
virtual u32 | getChangedID () const
| Get the currently used ID for identification of changes.
virtual void * | getData ()
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const
| get the current hardware mapping hint
virtual video::S3DVertex & | getLast ()
virtual video::E_VERTEX_TYPE | getType () const
virtual video::S3DVertex & | operator[] (const u32 index) const
virtual video::S3DVertex * | pointer ()
virtual void | push_back (const video::S3DVertex &element)
virtual void | reallocate (u32 new_size)
virtual void | set_used (u32 usedNow)
virtual void | setDirty ()
| flags the mesh as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)
| set the hardware mapping hint, for driver
virtual void | setType (video::E_VERTEX_TYPE vertexType)
virtual u32 | size () const
virtual u32 | stride () const
virtual | ~CVertexBuffer ()
## Public Attributes
u32 | ChangedID
E_HARDWARE_MAPPING | MappingHint
IVertexList * | Vertices

## Detailed Description

Definition at line 16 of file CVertexBuffer.h.

## Constructor & Destructor Documentation

irr::scene::CVertexBuffer::CVertexBuffer | ( | video::E_VERTEX_TYPE | vertexType | ) | `[inline]`

Definition at line 75 of file CVertexBuffer.h.

References setType().

irr::scene::CVertexBuffer::CVertexBuffer | ( | const IVertexBuffer & | VertexBufferCopy | ) | `[inline]`

Definition at line 81 of file CVertexBuffer.h.

References irr::scene::IVertexBuffer::getType(), push_back(), reallocate(), setType(), and irr::scene::IVertexBuffer::size().

virtual irr::scene::CVertexBuffer::~CVertexBuffer | ( |  | ) | `[inline, virtual]`

Definition at line 92 of file CVertexBuffer.h.

References Vertices.

## Member Function Documentation

virtual u32 irr::scene::CVertexBuffer::allocated_size | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 169 of file CVertexBuffer.h.

References Vertices.

virtual u32 irr::scene::CVertexBuffer::getChangedID | ( |  | ) | const`[inline, virtual]`

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implements irr::scene::IVertexBuffer.

Definition at line 199 of file CVertexBuffer.h.

References ChangedID.

virtual void* irr::scene::CVertexBuffer::getData | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 133 of file CVertexBuffer.h.

References Vertices.

virtual E_HARDWARE_MAPPING irr::scene::CVertexBuffer::getHardwareMappingHint | ( |  | ) | const`[inline, virtual]`

get the current hardware mapping hint

Implements irr::scene::IVertexBuffer.

Definition at line 180 of file CVertexBuffer.h.

References MappingHint.

virtual video::S3DVertex& irr::scene::CVertexBuffer::getLast | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 154 of file CVertexBuffer.h.

References Vertices.

virtual video::E_VERTEX_TYPE irr::scene::CVertexBuffer::getType | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 135 of file CVertexBuffer.h.

References Vertices.

virtual video::S3DVertex& irr::scene::CVertexBuffer::operator[] | ( | const u32 | index | ) | const`[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 149 of file CVertexBuffer.h.

References Vertices.

virtual video::S3DVertex* irr::scene::CVertexBuffer::pointer | ( |  | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 174 of file CVertexBuffer.h.

References Vertices.

virtual void irr::scene::CVertexBuffer::push_back | ( | const video::S3DVertex & | element | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 144 of file CVertexBuffer.h.

References Vertices.

Referenced by CVertexBuffer().

virtual void irr::scene::CVertexBuffer::reallocate | ( | u32 | new_size | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 164 of file CVertexBuffer.h.

References Vertices.

Referenced by CVertexBuffer().

virtual void irr::scene::CVertexBuffer::set_used | ( | u32 | usedNow | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 159 of file CVertexBuffer.h.

References Vertices.

virtual void irr::scene::CVertexBuffer::setDirty | ( |  | ) | `[inline, virtual]`

flags the mesh as changed, reloads hardware buffers

Implements irr::scene::IVertexBuffer.

Definition at line 192 of file CVertexBuffer.h.

References ChangedID.

virtual void irr::scene::CVertexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) | `[inline, virtual]`

set the hardware mapping hint, for driver

Implements irr::scene::IVertexBuffer.

Definition at line 186 of file CVertexBuffer.h.

References MappingHint.

virtual void irr::scene::CVertexBuffer::setType | ( | video::E_VERTEX_TYPE | vertexType | ) | `[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 98 of file CVertexBuffer.h.

References irr::video::EVT_2TCOORDS, irr::video::EVT_STANDARD, irr::video::EVT_TANGENTS, and Vertices.

Referenced by CVertexBuffer().

virtual u32 irr::scene::CVertexBuffer::size | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 139 of file CVertexBuffer.h.

References Vertices.

virtual u32 irr::scene::CVertexBuffer::stride | ( |  | ) | const`[inline, virtual]`

Implements irr::scene::IVertexBuffer.

Definition at line 137 of file CVertexBuffer.h.

References Vertices.

## Member Data Documentation

u32 irr::scene::CVertexBuffer::ChangedID

Definition at line 202 of file CVertexBuffer.h.

Referenced by getChangedID(), and setDirty().

E_HARDWARE_MAPPING irr::scene::CVertexBuffer::MappingHint

Definition at line 201 of file CVertexBuffer.h.

Referenced by getHardwareMappingHint(), and setHardwareMappingHint().

IVertexList* irr::scene::CVertexBuffer::Vertices

Definition at line 73 of file CVertexBuffer.h.

Referenced by allocated_size(), getData(), getLast(), getType(), operator[](), pointer(), push_back(), reallocate(), set_used(), setType(), size(), stride(), and ~CVertexBuffer().

The documentation for this class was generated from the following file:

- CVertexBuffer.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)